#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartGettingStarted
{
    public class Category : ContentPage
    {
        public Category()
        {
            Content = GetChart();
        }

        private static SfChart GetChart()
        {
            SfChart chart = new SfChart();
            chart.Title.Text = "Communication Medium";

            var categoryAxis = new CategoryAxis();
            categoryAxis.LabelsIntersectAction= AxisLabelsIntersectAction.MultipleRows;
            categoryAxis.Title.Text = "Mode of communication";
            chart.PrimaryAxis = categoryAxis;

            var numericalAxis = new NumericalAxis();
            numericalAxis.Title.Text = "Usages in percentage";
            chart.SecondaryAxis = numericalAxis;

            chart.SecondaryAxis = numericalAxis;
            
            chart.Series.Add(new ColumnSeries()
            {
                Label = "Column Series",
                ItemsSource = Category.GetCategoryData()
            });
            return chart;
        }

        public static ObservableCollection<ChartDataPoint> GetCategoryData()
        {
            ObservableCollection<ChartDataPoint> datas = new ObservableCollection<ChartDataPoint>();
            datas.Add(new ChartDataPoint("Internet Connectivity", 74));
            datas.Add(new ChartDataPoint("Cellular Phones", 94));
            datas.Add(new ChartDataPoint("Landline Phones", 53));
            datas.Add(new ChartDataPoint("Postal Services", 45));
            datas.Add(new ChartDataPoint("Private Couriers", 35));
            datas.Add(new ChartDataPoint("Telegram Services", 15));
            datas.Add(new ChartDataPoint("Television Channels", 65));
            return datas;
        }

    }


}